Package org.apache.nutch.protocol.interactiveselenium

## Enum HttpResponse.Scheme

- java.lang.Object
- - java.lang.Enum<HttpResponse.Scheme>
  - - org.apache.nutch.protocol.interactiveselenium.HttpResponse.Scheme

- All Implemented Interfaces:
    `Serializable`, `Comparable<HttpResponse.Scheme>`
  Enclosing class:
    HttpResponse

      protected static enum HttpResponse.Scheme
      extends Enum<HttpResponse.Scheme>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HTTP` |
    `HTTPS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HttpResponse.Scheme` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HttpResponse.Scheme[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP

          public static final HttpResponse.Scheme HTTP

    - #### HTTPS

          public static final HttpResponse.Scheme HTTPS

  - ### Method Detail

    - #### values

          public static HttpResponse.Scheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpResponse.Scheme c : HttpResponse.Scheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpResponse.Scheme valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null